[arch-commits] Commit in gst-plugins-bad/repos (3 files)

Maxime Gauduin alucryd at archlinux.org
Mon Oct 8 11:43:23 UTC 2018


    Date: Monday, October 8, 2018 @ 11:43:22
  Author: alucryd
Revision: 335934

archrelease: copy trunk to staging-x86_64

Added:
  gst-plugins-bad/repos/staging-x86_64/
  gst-plugins-bad/repos/staging-x86_64/PKGBUILD
    (from rev 335933, gst-plugins-bad/trunk/PKGBUILD)
  gst-plugins-bad/repos/staging-x86_64/missing-includes.diff
    (from rev 335933, gst-plugins-bad/trunk/missing-includes.diff)

-----------------------+
 PKGBUILD              |   70 ++++++++++++++++++++++++++++++++++++++++++++++++
 missing-includes.diff |   51 ++++++++++++++++++++++++++++++++++
 2 files changed, 121 insertions(+)

Copied: gst-plugins-bad/repos/staging-x86_64/PKGBUILD (from rev 335933, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2018-10-08 11:43:22 UTC (rev 335934)
@@ -0,0 +1,70 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.14.4
+pkgrel=2
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+url="https://gstreamer.freedesktop.org/"
+arch=(x86_64)
+license=(LGPL)
+depends=(mjpegtools gst-plugins-base-libs curl chromaprint libmms faad2 celt libdca libdvdnav
+         libmodplug libgme wayland libofa openjpeg2 libwebp libsrtp gnutls sbc rtmpdump libgudev
+         libexif libdvdread libvdpau libmpeg2 wildmidi ladspa openal libusb vulkan-icd-loader
+         libfdk-aac faac soundtouch spandsp neon webrtc-audio-processing libdc1394 libmpcdec zvbi
+         openexr libbs2b libnice lcms2 bluez-libs glu srt aom)
+makedepends=(python gtk-doc autoconf-archive git gobject-introspection gtk3 vulkan-headers
+             vulkan-validation-layers librsvg libtiger zbar fluidsynth lilv opencv)
+_commit=566e4ecc223b18fce8bd932f5e4885f41f746dd4  # tags/1.14.4^0
+source=("git+https://anongit.freedesktop.org/git/gstreamer/gst-plugins-bad#commit=$_commit"
+        "gst-common::git+https://anongit.freedesktop.org/git/gstreamer/common"
+        missing-includes.diff)
+sha256sums=('SKIP'
+            'SKIP'
+            'acf625d58611372532bc76e7276dacd69d2a9f7dee88ed9e2e8ecae0881476a3')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+
+  # error: ‘CV_RGB’ was not declared in this scope
+  patch -Np1 -i ../missing-includes.diff
+
+  git submodule init
+  git config --local submodule.common.url "$srcdir/gst-common"
+  git submodule update
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --libexecdir=/usr/lib \
+    --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+    --with-package-origin="https://www.archlinux.org/" \
+    --with-gtk=3.0 \
+    --enable-experimental \
+    --enable-gtk-doc \
+    --disable-static
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # bad tests are bad
+  #make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Copied: gst-plugins-bad/repos/staging-x86_64/missing-includes.diff (from rev 335933, gst-plugins-bad/trunk/missing-includes.diff)
===================================================================
--- staging-x86_64/missing-includes.diff	                        (rev 0)
+++ staging-x86_64/missing-includes.diff	2018-10-08 11:43:22 UTC (rev 335934)
@@ -0,0 +1,51 @@
+Submodule common f0c2dc9aa..ed78bee43:
+  > valgrind suppressions: ignore any error triggered by */ld*.so
+  > gtk-doc-plugins.mak: sort xml inspect files
+diff --git i/ext/opencv/MotionCells.cpp w/ext/opencv/MotionCells.cpp
+index f85989e11..e75191308 100644
+--- i/ext/opencv/MotionCells.cpp
++++ w/ext/opencv/MotionCells.cpp
+@@ -52,6 +52,7 @@
+ #include <errno.h>
+ #include "MotionCells.h"
+ #include <opencv2/imgproc/imgproc_c.h>
++#include <opencv2/imgproc/imgproc.hpp>
+ 
+ MotionCells::MotionCells ()
+ {
+diff --git i/ext/opencv/gsthanddetect.cpp w/ext/opencv/gsthanddetect.cpp
+index 60fd5be72..aadbc03de 100644
+--- i/ext/opencv/gsthanddetect.cpp
++++ w/ext/opencv/gsthanddetect.cpp
+@@ -63,6 +63,7 @@
+ /* element header */
+ #include "gsthanddetect.h"
+ #include <opencv2/imgproc/imgproc_c.h>
++#include <opencv2/imgproc.hpp>
+ 
+ GST_DEBUG_CATEGORY_STATIC (gst_handdetect_debug);
+ #define GST_CAT_DEFAULT gst_handdetect_debug
+diff --git i/ext/opencv/gstsegmentation.cpp w/ext/opencv/gstsegmentation.cpp
+index d52476e7d..fd3abb507 100644
+--- i/ext/opencv/gstsegmentation.cpp
++++ w/ext/opencv/gstsegmentation.cpp
+@@ -92,6 +92,7 @@
+ 
+ #include "gstsegmentation.h"
+ #include <opencv2/imgproc/imgproc_c.h>
++#include <opencv2/imgproc.hpp>
+ 
+ GST_DEBUG_CATEGORY_STATIC (gst_segmentation_debug);
+ #define GST_CAT_DEFAULT gst_segmentation_debug
+diff --git i/ext/opencv/gsttemplatematch.cpp w/ext/opencv/gsttemplatematch.cpp
+index f39208dc2..50197f23d 100644
+--- i/ext/opencv/gsttemplatematch.cpp
++++ w/ext/opencv/gsttemplatematch.cpp
+@@ -64,6 +64,7 @@
+ #include "../../gst-libs/gst/gst-i18n-plugin.h"
+ #include "gsttemplatematch.h"
+ #include <opencv2/imgproc/imgproc_c.h>
++#include <opencv2/imgproc.hpp>
+ 
+ GST_DEBUG_CATEGORY_STATIC (gst_template_match_debug);
+ #define GST_CAT_DEFAULT gst_template_match_debug



More information about the arch-commits mailing list